package com.utopiaindustries.hseobservationsapp.utils.StorageManager;

import java.util.ArrayList;
import java.util.List;

public class HseReportRequest<T> {

    private String observation_date;
    private int userId;
    private int site_id;
    private int supervisorId;
    private String supervisorName;
    private String shift;
    private int recordTypeId;
    private int departmentId;
    private int buildingId;
    private int floorId;

    private List<T> reportData;

    public String getObservation_date() {
        return observation_date;
    }

    public void setObservation_date(String observation_date) {
        this.observation_date = observation_date;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getSite_id() {
        return site_id;
    }

    public void setSite_id(int site_id) {
        this.site_id = site_id;
    }

    public int getSupervisorId() {
        return supervisorId;
    }

    public void setSupervisorId(int supervisorId) {
        this.supervisorId = supervisorId;
    }

    public String getSupervisorName() {
        return supervisorName;
    }

    public void setSupervisorName(String supervisorName) {
        this.supervisorName = supervisorName;
    }

    public String getShift() {
        return shift;
    }

    public void setShift(String shift) {
        this.shift = shift;
    }

    public int getRecordTypeId() {
        return recordTypeId;
    }

    public void setRecordTypeId(int recordTypeId) {
        this.recordTypeId = recordTypeId;
    }

    public List<T> getReportData() {
        return reportData;
    }

    public void setReportData(List<T> reportData) {
        this.reportData = reportData;
    }

    public HseReportRequest() {
        this.reportData = new ArrayList<>();
    }

    public int getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(int departmentId) {
        this.departmentId = departmentId;
    }

    public int getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(int buildingId) {
        this.buildingId = buildingId;
    }

    public int getFloorId() {
        return floorId;
    }

    public void setFloorId(int floorId) {
        this.floorId = floorId;
    }

    public HseReportRequest(String observation_date, int userId, int site_id, int supervisorId, String supervisorName, String shift, int recordTypeId, int departmentId, int buildingId, int floorId, List<T> reportData) {
        this.observation_date = observation_date;
        this.userId = userId;
        this.site_id = site_id;
        this.supervisorId = supervisorId;
        this.supervisorName = supervisorName;
        this.shift = shift;
        this.recordTypeId = recordTypeId;
        this.departmentId = departmentId;
        this.buildingId = buildingId;
        this.floorId = floorId;
        this.reportData = reportData;
    }
}